%define name    TekNap
%define version 1.3g
%define release 2%{_my_ext}
%define summary TekNap is a unix console based napster client

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}

URL:		http://rpm.borgnet.net/
License:	GPL
Group:		Networking/File transfer
Source:		TekNap-1.3g.tar.bz2

BuildRoot: %_tmppath/%name-%version-root

Prefix: %_prefix

Requires:	gcc2.96
BuildRequires:	gtk+-devel, ncurses-devel, gcc2.96

%description
TekNap is a unix console based napster client. It
includes an extremely powerful scripting language, a
ncurses based search/browse interface, optional GTK
search/browse interface. The TekNap client is based on years of
experience writing a IRC client called
BitchX (www.bitchx.com) and as such looks and feels
exactly like my IRC client. TekNap is one of the few
clients written to take advantage of the "opennap"
(opennap.sourceforge.net) server, which is a
open-source napster server clone that I have helped
develop. 

Build Options: --enable-cdrom --with-gtk --enable-xmms --enable-mp3

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure --enable-cdrom --with-gtk --enable-xmms --enable-mp3

%make

%install
rm -rf $RPM_BUILD_ROOT

# remove all CVS files so that they don't get "accidently" installed
for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="text" section="Networking/File transfer" title="%{name}" \
longtitle="%{summary}"
EOF

# fix the bad symlink
rm $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_bindir}/%{name}

%pre
rm -fr /usr/bin/TekNap-1.3f
rm -fr /usr/bin/TekNap

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%name-%version

%files
%defattr(-,root,root)
%doc COMPILE COPYRIGHT Changelog README doc scripts
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_menudir}/%{name}

%changelog
* Fri Jul 23 2004 <sgrayban@borgnet.us> 1.3g-2bgn
- Rebuilded for new release extension
- Rebuilded for i586 arch.

* Wed Jul 21 2004 Scott Grayban <sgrayban@borgnet.net> 1.3g-1.100mdk
- Fixed the teknap version

* Sat Jul 17 2004 Scott Grayban <sgrayban@borgnet.net> 1.3g-100mdk
- rebuilded and compiled for Mandrake 10.x using gcc2.96

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3f-1mdk
- updated to 1.3f

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- rebuilded

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- updated to 1.2
- used srpm from Alexander Skwar <ASkwar@DigitalProjects.com>

* Thu Aug 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-2mdk
- Fixed menu entry

* Wed Aug 30 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.0-1mdk
- First Mandrake package

# end of file
